--==========================================================
-- Design units : BlackJack_Stim (Entity, Architecture)
--
-- File name    : BlackJack_Stim.vhd
--
-- Purpose      : Stimuli generator for BJ dealer
--
-- Limitations  : -
--
-- Library      : IEEE
--
-- Dependencies : -
--
-- Author       : Claus-Juergen Thomas, REFT
--
-- Simulator    : Synopsys V3.2a on SUN SPARCstation 10
--
-----------------------------------------------------------
-- Revision list
-- Version Author Date           Changes
--
--  v1.0   cjt    04.07.1996     new
--=========================================================
LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY BlackJack_Stim IS
PORT(Clk        : OUT std_logic;
     Reset      : OUT std_logic;
     Card_value : OUT std_logic_vector(3 DOWNTO 0);
     Card_ready : OUT std_logic);
END BlackJack_Stim;

--============================ARCHITECTURE==================

ARCHITECTURE Behavior OF BlackJack_Stim IS

BEGIN

Clk <= '0' AFTER   0 Ns, '1' AFTER  10 Ns,
       '0' AFTER  20 Ns, '1' AFTER  30 Ns,
       '0' AFTER  40 Ns, '1' AFTER  50 Ns,
       '0' AFTER  60 Ns, '1' AFTER  70 Ns,
       '0' AFTER  80 Ns, '1' AFTER  90 Ns,
       '0' AFTER 100 Ns, '1' AFTER 110 Ns,
       '0' AFTER 120 Ns, '1' AFTER 130 Ns,
       '0' AFTER 140 Ns, '1' AFTER 150 Ns,
       '0' AFTER 160 Ns, '1' AFTER 170 Ns,
       '0' AFTER 180 Ns, '1' AFTER 190 Ns,
       '0' AFTER 200 Ns, '1' AFTER 210 Ns,
       '0' AFTER 220 Ns, '1' AFTER 230 Ns,
       '0' AFTER 240 Ns, '1' AFTER 250 Ns,
       '0' AFTER 260 Ns, '1' AFTER 270 Ns,
       '0' AFTER 280 Ns, '1' AFTER 290 Ns,
       '0' AFTER 300 Ns, '1' AFTER 310 Ns,
       '0' AFTER 320 Ns, '1' AFTER 330 Ns,
       '0' AFTER 340 Ns, '1' AFTER 350 Ns,
       '0' AFTER 360 Ns, '1' AFTER 370 Ns,
       '0' AFTER 380 Ns, '1' AFTER 390 Ns,
       '0' AFTER 400 Ns, '1' AFTER 410 Ns,
       '0' AFTER 420 Ns, '1' AFTER 430 Ns,
       '0' AFTER 440 Ns, '1' AFTER 450 Ns,
       '0' AFTER 460 Ns, '1' AFTER 470 Ns,
       '0' AFTER 480 Ns, '1' AFTER 490 Ns,
       '0' AFTER 500 Ns, '1' AFTER 510 Ns,
       '0' AFTER 520 Ns, '1' AFTER 530 Ns,
       '0' AFTER 540 Ns, '1' AFTER 550 Ns,
       '0' AFTER 560 Ns, '1' AFTER 570 Ns,
       '0' AFTER 580 Ns, '1' AFTER 590 Ns,
       '0' AFTER 600 Ns, '1' AFTER 610 Ns,
       '0' AFTER 620 Ns, '1' AFTER 630 Ns,
       '0' AFTER 640 Ns, '1' AFTER 650 Ns;


Reset <= '1' AFTER   0 Ns, '0' AFTER   2 Ns, '1' AFTER 4 Ns,
         '0' AFTER 390 Ns, '1' AFTER 395 Ns;

Card_value <= "0101" AFTER   5 Ns,
              "1010" AFTER  85 Ns,
              "0001" AFTER 180 Ns,
              "0100" AFTER 260 Ns,
              "1010" AFTER 390 Ns,
              "0101" AFTER 460 Ns,
              "1010" AFTER 540 Ns;

Card_ready <= '0' AFTER   0 Ns,
              '1' AFTER  25 Ns, '0' AFTER  35 Ns,
              '1' AFTER 105 Ns, '0' AFTER 115 Ns,
              '1' AFTER 185 Ns, '0' AFTER 195 Ns,
              '1' AFTER 285 Ns, '0' AFTER 295 Ns,
              '1' AFTER 405 Ns, '0' AFTER 415 Ns,
              '1' AFTER 485 Ns, '0' AFTER 495 Ns,
              '1' AFTER 565 Ns, '0' AFTER 575 Ns;

END Behavior;

